; get_date_from_day_1996 takes the number of days since
; 1996 and returns an AceTime structure.

function get_date_from_day_1996, day1996

	; this silliness is to make sure leap seconds don't interfere with
	;    the determination of the date

	; get to middle of "zeroth" day
    secondsSince1996 = -12L * 3600L

	; get to ~ middle of succeeding days (may be out by a second or 2,
	;     but never by enough to not get the succeeding day)
    secondsSince1996 = secondsSince1996 + (day1996 * (24L * 3600L))

    time = cvtfromsec1996(secondsSince1996)

	; now set hours, minutes, seconds to start of day and return

    time.hour = 0
    time.min = 0
    time.sec = 0

    return, time
end
