#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisCommandTableA *getDaysCmdTables_A_c(int day1996,
						int autoFreeMemoryAllocation) {
    static struct L1CrisCommandTableA *pSaved = NULL;
    struct L1CrisCommandTableA *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisCommandTableA *)
				getDaysStructs(day1996, "L1CrisCommandTableA");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
