#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisSubset *getDaysSubsets_c(int day1996,
						int autoFreeMemoryAllocation) {
    static struct L1CrisSubset *pSaved = NULL;
    struct L1CrisSubset *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisSubset *) getDaysStructs(day1996, "L1CrisSubset");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
