#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisCommandTable *getGroupCmdTables_c(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoFreeMemoryAllocation) {
    static struct L1CrisCommandTable *pSaved = NULL;
    struct L1CrisCommandTable *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisCommandTable *) getStructs(secondsSince1996Start,
				secondsSince1996Stop, "L1CrisCommandTable");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
