#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisDacOffset0 *getDaysDacOffset0s_s(int day1996,
						int autoFreeMemoryFlag) {
    static struct L1SisDacOffset0 *pSaved = NULL;
    struct L1SisDacOffset0 *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisDacOffset0 *)
			getDaysStructs(day1996, "L1SisDacOffset0");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
