#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisHskp *getDaysHskps_s(int day1996, int autoFreeMemoryFlag) {
    static struct L1SisHskp *pSaved = NULL;
    struct L1SisHskp *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisHskp *) getDaysStructs(day1996, "L1SisHskp");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
