; this is a wrapper which calls the c setStructs stand alone executable,
; which creates a file for the idl to read in.

function get_structs, secondsSince1996Start, secondsSince1996Stop, structToUse
    structName = strlowcase(tag_names(structToUse, /STRUCTURE_NAME))

    startString = strtrim(string(secondsSince1996Start), 2)
    stopString = strtrim(string(secondsSince1996Stop), 2)

    baseDir = getenv('ACE_WARE')
    executable = baseDir + '/pkgs/level1/bin/getStructsStandAlone'
    cmd = executable + ' ' + startString + ' ' + stopString + ' ' + structName
    spawn, cmd, tmpFileName
    tmpFileName = tmpFileName[0]

    count = get_files_struct_count(tmpFileName, structToUse, 0)
    get_lun, lun
    openr, lun, tmpFileName
    fileAssoc = assoc(lun, replicate(structToUse, count), 0)
    structs = fileAssoc(0)
    close, lun
    free_lun, lun

    cmd = 'rm ' + tmpFileName
    spawn, cmd

    return, structs
end
