#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisSummary *getDaysSummarys_s(int day1996,
						int autoFreeMemoryFlag) {
    static struct L1SisSummary *pSaved = NULL;
    struct L1SisSummary *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisSummary *) getDaysStructs(day1996, "L1SisSummary");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
