#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct BrowseSis *getGroupBrowseParams_s(uint32 secondsSince1996Start,
	            uint32 secondsSince1996Stop, int autoFreeMemoryFlag) {
    static struct BrowseSis *pSaved = NULL;
    struct BrowseSis *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct BrowseSis *) getStructs(secondsSince1996Start,
	                                secondsSince1996Stop, "BrowseSis");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
